List Credential Value Pools
curl --request GET \
--url https://api.transactcampus.com/idx/institution-management/credentials/v1/credentialvalues/pools \
--header 'Ocp-Apim-Subscription-Key: <api-key>'import requests
url = "https://api.transactcampus.com/idx/institution-management/credentials/v1/credentialvalues/pools"
headers = {"Ocp-Apim-Subscription-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Ocp-Apim-Subscription-Key': '<api-key>'}};
fetch('https://api.transactcampus.com/idx/institution-management/credentials/v1/credentialvalues/pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentialValuePools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"allowedSources": [
"CARD_PRODUCTION"
],
"valueRange": {
"minValue": "1111111100000000",
"maxValue": "11111111ffffffff",
"totalValues": 1,
"issuedValues": 1,
"remainingValues": 1
},
"credentialValueType": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
],
"paging": {
"offset": 1,
"limit": 2,
"total": 1
}
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}{
"errors": [
{
"errorCode": "<string>",
"errorMessage": "<string>",
"source": {
"pathParameter": "<string>",
"queryParameter": "<string>",
"header": "<string>",
"field": "<string>",
"dependentResource": "<string>"
},
"moreInfo": "<string>"
}
]
}This response has no body data.Credential Value Pool
List Credential Value Pools
Lists the credential value pools. Only pools with INST_APP as an allowed source will be returned in this list. Query parameters can be used to limit the scope of the list.
GET
/
credentialvalues
/
pools
List Credential Value Pools
Authorizations
The APIM subscription key.
Query Parameters
The limit parameter for pagination.
Required range:
x >= 1The offset parameter for pagination.
Required range:
x >= 0The name of the credential value pool. Performs a case-insensitive contains query with the given name.
The credential value type identifier in UUID format.
Was this page helpful?